=== debian/changelog ===
postgresql-q3c (2.0.1-5) unstable; urgency=medium

  * Upload for PostgreSQL 18. (Closes: #1117330)
  * Add ${postgresql:Breaks}.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 20:03:00 +0200

postgresql-q3c (2.0.1-4) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Sun, 15 Sep 2024 12:49:10 +0200

postgresql-q3c (2.0.1-3) unstable; urgency=medium

  * debian/rules: Use execute_before_dh_auto_install.

 -- Christoph Berg <myon@debian.org>  Wed, 07 Aug 2024 16:30:03 +0200

postgresql-q3c (2.0.1-2) unstable; urgency=medium

  * Install docs to non-generic name (Closes: #1073800)

 -- Ole Streicher <olebole@debian.org>  Mon, 05 Aug 2024 10:15:54 +0200

postgresql-q3c (2.0.1-1) unstable; urgency=medium

  * New upstream version 2.0.1.

 -- Christoph Berg <myon@debian.org>  Fri, 05 Jan 2024 14:34:58 +0100

postgresql-q3c (2.0.0-8) unstable; urgency=medium

  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Sep 2023 22:00:14 +0200

postgresql-q3c (2.0.0-7) unstable; urgency=medium

  * Upload for PostgreSQL 15.

 -- Christoph Berg <myon@debian.org>  Mon, 24 Oct 2022 16:19:54 +0200
