=== debian/rules ===
#!/usr/bin/make -f

override_dh_pgxs_test:
	echo "make test" | LANG=C.UTF-8 LANGUAGE= pg_buildext virtualenv . . postgresql-%v-q3c

%:
	dh $@ --with pgxs_loop

# pgxs_loop overrides dh_auto_install internally, use execute_before_ here, not override_dh_auto_install
execute_before_dh_auto_install:
	cp README.md q3c.md
