=== debian/tests/control ===
Depends:
 build-essential,
 postgresql-common (>= 219~),
 @,
Tests:
 installcheck,
Restrictions:
 allow-stderr,
