=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/q3c-$1\.tar\.gz/ \
 https://github.com/segasai/q3c/tags .*/v?(\d\S+)\.tar\.gz
