## postgresql-q3c 2.0.2

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,12 @@
 		 sed -e "s/default_version[[:space:]]*=[[:space:]]*'\([^']*\)'/\1/")
 
 
-DOCS = README.md
+# Note the filename is different from README.md
+# because of the requirement to have unique filenames
+# we create q3c.md out of README.md when compiling
+# the extension
+DOCS = q3c.md
+
 OBJS = dump.o q3c.o q3c_poly.o q3cube.o
 MODULE_big = q3c
 DATA = $(wildcard scripts/*sql)
@@ -32,21 +37,15 @@
 endif
 
 include $(PGXS)
-PGVERNEW := $(shell if [ $(MAJORVERSION) -ge 12 ] ; then echo N ; else echo O ; fi )
 
-ifeq ($(PGVERNEW), N)
-	PG_LIBS += -L$(shell $(PG_CONFIG) --pkglibdir)
-	LIBS := $(filter-out -lpam -lxml2 -lxslt -lselinux -ledit -lgssapi_krb5, $(LIBS))
-	MYBINLIBS := $(LIBS) $(PG_LIBS) -lm
-else
-	MYBINLIBS := $(PG_LIBS) -lm
-endif
+readme:
+	cp README.md q3c.md
 
-dump.c: prepare
+dump.c: prepare readme
 	./prepare
 
-prepare: prepare.o q3cube.o q3c_poly.o
-	$(CC) $? $(CFLAGS) $(PG_LIBS) $(PG_LDFLAGS) $(LDFLAGS) $(MYBINLIBS) -o $@
+prepare: prepare.c q3cube.c q3c_poly.c
+	$(CC) $(PG_CPPFLAGS) $(CFLAGS) -DQ3C_STANDALONE $^ $(LDFLAGS) -lm -o $@
 
 gen_data: gen_data.c
 	$(CC) $< $(CPPFLAGS) $(LDFLAGS) -lm -o $@
