=== debian/changelog ===
postgresql-q3c (2.0.2-1) unstable; urgency=medium

  * New upstream version 2.0.2.

 -- Christoph Berg <myon@debian.org>  Sat, 21 Feb 2026 08:52:02 +0100

postgresql-q3c (2.0.1-6) unstable; urgency=medium

  * Test-Depend on postgresql-common-dev.

 -- Christoph Berg <myon@debian.org>  Wed, 12 Nov 2025 13:59:15 +0100
